function init(json) {
    // console.log("location:"+location.href);
    try {
        window.statusJson = JSON.parse(json);
    } catch (e) {

    }
    initSwitch();
    initLanguage();
}

function initSwitch() {
    if (window.initedWsitch) {
        return;
    }
    window.initedWsitch = true;
    var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

    elems.forEach(function(ele) {

        if (ele.id == "switch_tutorial") {
            ele.onchange = onChangeTutorial;
            if (window.statusJson != null && window.statusJson["isResetTutorial"]) {
                ele.checked = true;
            }

        } else if (ele.id == "switch_folder") {
            ele.onchange = onChangeSaveFolder;
            if (window.statusJson != null && window.statusJson["isSaveInSpring"]) {
                ele.checked = true;
            }
        }

        new Switchery(ele, {
            color: '#66d3e7'
        });

    });
}

function initLanguage() {
    var lang;

    if(window.statusJson != null){
        lang = window.statusJson["language"];
    }
    if(lang == null){
        lang = navigator.language;
    }

    if ($.li18n.translations[lang] == null) {
        //지원하지 않는 다국어일 때 영어를 출력해준다.
        $.li18n.currentLocale = "en";
    } else {
        $.li18n.currentLocale = lang;
    }

    $(".global").each(function(idx, obj) {
        $.li18n.onTranslationMissing = function() {
            return "";
        }

        $(obj).html($.li18n.translate( $(obj).data("language") ));
    });
}

function onChangeTutorial() {
    if (this.checked) {
        showToast($.li18n.translate("support messages for each function."));
        //native 에 튜토리얼 다시 보이게 해줘야한다.
        sendNative("resetTutorial");
    }
}

function onChangeSaveFolder() {

    if (this.checked) {
        showToast($.li18n.translate("Save in 'Spring' folder"));
        //native에 스프링 폴더로 정의해준다.
        sendNative("saveInSpring");
    } else {
        showToast($.li18n.translate("Save in 'Camera'"));
        //native에 카메라 폴더로 정의해준다.
        sendNative("saveInCamera");
    }
}

function sendNative(msg) {
    if (window.android != null) {
        window.android.setMessage(msg);
    } else {
        window.location = "toApp://" + msg;
    }
}

function onClickShare() {
    //native에 공유.
    var msg = {
        "title": $.li18n.translate("[Spring - it’s stylish. it’s sexy]"),
        "message": $.li18n.translate("Slimming and Head resizing function has arrived with Height stretching!\nFashion photos created using JUST your fingertips!"),
        "image": "http://sundaybugs.com/wp/wp-content/uploads/2014/10/main0.png"
    }
    sendNative(JSON.stringify(msg));
    console.log(msg);
}


function showToast(message) {
    setTimeout(function() {
        var $toast = $("#toast");
        $toast.addClass("show");
        $toast.find('.message').html(message);
        clearTimeout(window.toastTimeout);
        window.toastTimeout = setTimeout(hideToast, 1500);
    }, 100);
}

function hideToast() {
    $("#toast").removeClass("show");
}
